Bug 811049 - openssl doesn't recognize google's CA.
openssl doesn't recognize google's CA.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 20:33 EDT by Wolfgang Rupprecht
Modified: 2012-05-09 10:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-09 10:29:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openssl s_client -connect gmail.com:443 (3.15 KB, text/plain)
2012-04-09 20:38 EDT, Wolfgang Rupprecht
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2012-04-09 20:33:55 EDT
Description of problem:

openssl doesn't recognize google's CA.  Perhaps a problem with 2nd level CA's.


Version-Release number of selected component (if applicable):
openssl.x86_64                  1.0.0h-1.fc16                   @updates-testing
(previous versions did this too.  I updated in hopes that it was fixed in -testing.)

How reproducible:
always


Steps to Reproduce:
1. Install postfix and wait for email from gmail.com to come in.
2. look at /var/log/maillog and notice the gripes about the CA not being   recognized.
  
Actual results:

Apr  9 16:54:00 arbol postfix/smtpd[1611]: setting up TLS connection from mail-pb0-f70.google.com[209.85.160.70]
Apr  9 16:54:00 arbol postfix/smtpd[1611]: certificate verification failed for mail-pb0-f70.google.com[209.85.160.70]: untrusted issuer /C=US/O=Equifax/OU=Equifax Secure Certificate Authority
Apr  9 16:54:00 arbol postfix/smtpd[1611]: mail-pb0-f70.google.com[209.85.160.70]: Untrusted: subject_CN=smtp.gmail.com, issuer=Google Internet Authority, fingerprint=F3:92:AE:B4:28:FE:64:03:6F:E1:55:ED:71:9E:5F:F6:88:90:5A:57

Expected results:
The CA should have been trusted if the second-level CA was correctly checked.

Additional info:
The google CA is relatively unique in that it is a CA that has its CA certificate signed by a top-level CA instead of the more usual case where the top-level CA signs actual host/service certificates.
Comment 1 Wolfgang Rupprecht 2012-04-09 20:38:07 EDT
Created attachment 576349 [details]
openssl s_client -connect gmail.com:443

notice that google's CA is a second-level CA signed by Thawte
Comment 2 Tomas Mraz 2012-05-04 11:38:18 EDT
I am sorry but I do not see anything wrong with the way openssl handles second-level CAs.

Your openssl s_client testcase is connecting to a wrong host anyway. The correct one is:

openssl s_client -connect smtp.gmail.com:465

And its output correctly indicates that the verification of the certificate passed successfully. I suppose you have something wrong setup in the postfix in regards to the CA certificates.
Comment 3 Wolfgang Rupprecht 2012-05-04 13:11:47 EDT
It may be a bug in postfix then.  Thanks for changing the component above.
Comment 4 Jaroslav Škarvada 2012-05-09 09:24:28 EDT
What's your /etc/postfix/main.cf TLS settings? I guess you need there something like:
smtpd_tls_CAfile = /etc/pki/tls/cert.pem
Comment 5 Wolfgang Rupprecht 2012-05-09 10:14:12 EDT
oops.  operator error.  I thought I'd used the big bundle from /etc/pki/tls/certs/ca-bundle.crt , but it appears not. I'd referenced a file that only had my personal CA in it.  Sorry for the noise.
Comment 6 Jaroslav Škarvada 2012-05-09 10:29:11 EDT
Thanks for info, closing.

Note You need to log in before you can comment on or make changes to this bug.